cURL
curl --request POST \ --url https://integrations.salesask.com/v1/scheduled-tasks \ --header 'Content-Type: application/json' \ --header 'x-api-key: <api-key>' \ --data ' { "event_id": "<string>", "user_email": "jsmith@example.com", "start_time": "2023-11-07T05:31:56Z", "end_time": "2023-11-07T05:31:56Z", "title": "<string>", "customer": { "id": "<string>", "name": "<string>", "email": "jsmith@example.com" } } '
{ "appointment": { "id": "task_123", "event_id": "CRM-JOB-9871", "startTime": "2023-11-07T05:31:56Z", "customerName": "John Doe", "customerAddress": "<string>", "customerPhone": "<string>", "customerEmail": "jsmith@example.com", "scheduledAt": "2023-11-07T05:31:56Z", "status": "scheduled", "metadata": {}, "createdAt": "2023-11-07T05:31:56Z", "updatedAt": "2023-11-07T05:31:56Z" } }
Creates or updates a scheduled appointment by event_id (upsert).
Show child attributes
Appointment created or updated